//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.chushang.common.core.exception.utils;

import com.chushang.common.core.exception.ResultException;
import com.chushang.common.core.web.EnumUtils;

public class AssertUtil {
    public AssertUtil() {
    }

    public static void invalidate(boolean condition, EnumUtils.CodeEnum<String> msg) {
        if (condition) {
            throw new ResultException(msg);
        }
    }

    public static void invalidate(boolean condition, String msg) {
        if (condition) {
            throw new ResultException(msg);
        }
    }
}
